/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.sample.hashtable;

import java.util.HashMap;

/**
 * サンプルのハッシュテーブル
 */
public class SampleHashtable {
    /**
     * 内部的に保持しているマップオブジェクト。
     */
    protected HashMap fMap = new HashMap();

    /**
     * Sampleに対応する値を取得します。
     *
     * @param code
     * @return キーに対応する値
     */
    public String get(final String code) {
        if (code == null) {
            throw new IllegalArgumentException("メソッド[get]のパラメータ[code]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        final Object objFound = fMap.get(code);
        if (objFound == null) {
            throw new IllegalArgumentException("指定されたキー(" + code + ")に対応する値は存在しません。");
        }

        return (String) objFound;
    }

    /**
     * 内部的に保持しているマップを暴露します。
     *
     * マップを構築する際などに利用してください。
     *
     * @return 内部に保持しているマップ
     */
    public HashMap getMap() {
        return fMap;
    }
}
